com.genesyslab.wfm8.API.service.schedule851

## Class SchAuditDay

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchAuditDay

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditDay
      extends java.lang.Object
      implements java.io.Serializable

  Identifies changes to Schedule Agent Day
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Agent ID
    `protected int` | `gswUserId` The ID of the User responsible for this action
    `protected long` | `newTimestamp` Timestamp for new/current schedule
    `protected long` | `oldTimestamp` Timestamp of old/previous schedule
    `private static long` | `serialVersionUID`
    `protected int` | `wmAction` `ESchActionType`
    `protected double` | `wmDate` Date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditDay()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `long` | `getNewTimestamp()` Gets the value of the newTimestamp property.
    `long` | `getOldTimestamp()` Gets the value of the oldTimestamp property.
    `int` | `getWmAction()` Gets the value of the wmAction property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setNewTimestamp(long value)` Sets the value of the newTimestamp property.
    `void` | `setOldTimestamp(long value)` Sets the value of the oldTimestamp property.
    `void` | `setWmAction(int value)` Sets the value of the wmAction property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `java.lang.String` | `toString()`
    `SchAuditDay` | `withGswAgentId(int value)`
    `SchAuditDay` | `withGswUserId(int value)`
    `SchAuditDay` | `withNewTimestamp(long value)`
    `SchAuditDay` | `withOldTimestamp(long value)`
    `SchAuditDay` | `withWmAction(int value)`
    `SchAuditDay` | `withWmDate(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Agent ID

    - #### wmDate

          protected double wmDate

      Date

    - #### newTimestamp

          protected long newTimestamp

      Timestamp for new/current schedule

    - #### oldTimestamp

          protected long oldTimestamp

      Timestamp of old/previous schedule

    - #### wmAction

          protected int wmAction

      `ESchActionType`

    - #### gswUserId

          protected int gswUserId

      The ID of the User responsible for this action

  - ### Constructor Detail

    - #### SchAuditDay

          public SchAuditDay()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getNewTimestamp

          public long getNewTimestamp()

      Gets the value of the newTimestamp property.

    - #### setNewTimestamp

          public void setNewTimestamp(long value)

      Sets the value of the newTimestamp property.

    - #### getOldTimestamp

          public long getOldTimestamp()

      Gets the value of the oldTimestamp property.

    - #### setOldTimestamp

          public void setOldTimestamp(long value)

      Sets the value of the oldTimestamp property.

    - #### getWmAction

          public int getWmAction()

      Gets the value of the wmAction property.

    - #### setWmAction

          public void setWmAction(int value)

      Sets the value of the wmAction property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### withGswAgentId

          public SchAuditDay withGswAgentId(int value)

    - #### withWmDate

          public SchAuditDay withWmDate(double value)

    - #### withNewTimestamp

          public SchAuditDay withNewTimestamp(long value)

    - #### withOldTimestamp

          public SchAuditDay withOldTimestamp(long value)

    - #### withWmAction

          public SchAuditDay withWmAction(int value)

    - #### withGswUserId

          public SchAuditDay withGswUserId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.